/***********************************************************************/
/*                                                                     */
/*  FILE        :hardware_setup.c                                      */
/*  DATE        :                                                      */
/*  DESCRIPTION :Hardware setup Program                                */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
#include "iodefine.h"
#include "macrodriver.h"

void HardwareSetup(void);
void UART1Init(void);

void HardwareSetup(void)
{
  DI();                                // 荞݋֎~
  UART1Init();                         // UART1
  PM2=0xF0;                            // P2 0-3o,4-7
  ADPC=0x01;                           // A/D|[g fW^o
}

void UART1Init(void)
{
  SAU0EN=1;                            // VAACONbN
  SPS0L=0B00000100;                    // 32MHz/24=2MHz
  SMR02=0x0022;                        // UART[h,]荞
  SCR02=0x8097;                        // M̂,LSBt@[Xg,1STOP bit,f[^8rbg
  SDR02=0xCE00;                        // 2MHz/(CE/2+1)/2=9615Hz
  SMR03=0x0122;                        // ]Ď擾,UART[h,]荞
  SCR03=0x4097;                        // M̂,LSBt@[Xg,1STOP bit,f[^8rbg
  SDR03=0xCE00;                        // 2MHz/(CE/2+1)/2=9615Hz
  SOE0L_bit.no2=1;                     // `lQVAʐMɂo͋
  NFEN0_bit.no2=1;                     // RxD1̃mCYtB^ON
  P0=0B00000001;                       // M|[gHigh
  PM0=0B00000010;                      // M|[ǵAM|[go
}
