/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c                                                */
/*  DATE        :                                                      */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
#include "iodefine.h"

#define ROW         P1
#define ROW_DDR     PM1

void main(void);

void P0_P7_Out(int data)
{
  P0=(data>>6);                        // P01.P02ݒ
  P7=(data);                           // P70-6ݒ
}
void delay_ms(int ms)
{
  volatile int i,j;
  for(i=0;i<ms;i++)
  {
    for(j=0;j<2963;j++)
    {

    }
  }
}
void main(void)
{
  int i;
  int DispData[8]={                    // \f[^e[u
    0b00000000,
    0b11111111,
    0b00001001,
    0b00011001,
    0b00101001,
    0b01001001,
    0b10000110,
    0b00000000,
  };
  int col_select[8]={                  // \Ie[u
    0x01,0x02,0x04,0x08,
    0x10,0x20,0x40,0x80
  };
  P0_P7_Out(0xFF);
  PM0 = 0x00;                          // SHigho(LowANeBu)
  PM7 = 0x00;                          // SHigho(LowANeBu)
  ROW = 0x00;
  ROW_DDR = 0x00;                      // SLowo(HighANeBu)

  while(1){
    for(i=0;i<8;i++)
    {
      P0_P7_Out( 0xFF);                // \OFF
      ROW = DispData[i];               // \f[^ݒ(HighANeBu)
      P0_P7_Out(~col_select[i]);       // \ݒ(LowANeBu)
      delay_ms(1);
    }
  }
}
