/***********************************************************************/
/*                                                                     */
/*  FILE        :hardware_setup.c                                      */
/*  DATE        :                                                      */
/*  DESCRIPTION :Hardware setup Program                                */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
#include "iodefine.h"
#include "macrodriver.h"

void HardwareSetup(void);
void TimerInit(void);
void InterruptInit(void);


void HardwareSetup(void)
{
  DI();                                // 荞݋֎~
  TimerInit();                         // ^C}
  InterruptInit();                     // 荞ݏ
}

void TimerInit(void)
{
  TAU0EN=1;                            // ^C}ACjbg0NbN
  TPS0=0x000A;                         // 32MH/210=31.25kHz
  TMR00=0x0;                           // CK00I
  TDR00=15625-1;                       // ^C}f[^ݒ31.25kHz/15625=2Hz
}

void InterruptInit(void)
{
  TMMK00=0;                            // ^C}00}XNNA
  EI();                                // 荞݋
}
