/***********************************************************************/
/*                                                                     */
/*  FILE        :hardware_setup.c                                      */
/*  DATE        :                                                      */
/*  DESCRIPTION :Hardware setup Program                                */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
#include "iodefine.h"

void HardwareSetup(void);
void TimerInit(void);

void HardwareSetup(void)
{
  TimerInit();
}

void TimerInit(void)
{
  PIOR = 0x01;                         // P10P17TO07TO03Ŏgp
  TAU0EN=1;                            // ^C}0NbN
  TPS0 = 0x0000;                       // 
  /* Channel 2 is used as master channel for PWM output function */
  TMR02 = 0x0801;                      // PWMo̓}X^
  TDR02 = 0x0C7F;                      // 32MHz/3200=10kHz
  /* Channel 3 is used as slave channel for PWM output function */
  TMR03 = 0x0409;                      // PWMo̓X[ui}X^ƘAj
  TDR03 = 0x0000;                      // 0%
  /* Channel 4 is used as master channel for PWM output function */
  TMR04 = 0x0801;                      // PWMo̓}X^
  TDR04 = 0x0C7F;                      // 32MHz/3200=10kHz
  /* Channel 7 is used as slave channel for PWM output function */
  TMR07 = 0x0409;                      // PWMo̓X[ui}X^ƘAj
  TDR07 = 0x0000;                      // 0%
  
  TOM0 = 0x0088;                       // ^C}03,^C}07 Higho
  TOE0 = 0x0088;                       // ^C}03,^C}07o͋
  
}
